Click here to Skip to main content
14,361,635 members
Rate this:
Please Sign up or sign in to vote.
See more:
If anyone has VS2017, mine is broken and won't properly create VSIX projects.

No amount of updates, or even installing VS2019 and using that has worked. Google provides no explanation for the E_INVALIDARG error I'm getting.

Here's what I need: I need an Empty VSIX project, called NewtVS, targeting .NET 4.71 or 4.72 (don't care)

it needs one AsyncPackage in it, called NewtVS.cs

That's it.

If anyone can create that and zip it to a dropbox or something i'd be eternally grateful.

What I have tried:

I've tried creating a VSIX project in visual studio 2017 and adding an AsyncPackage.

I tried doing the same thing in visual studio 2019, same error message.


This used to work for me.
Posted
Updated 6-Jun-19 22:55pm
Comments
lmoelleb 5-Jun-19 9:16am
   
Looks more like something for the forum than the Q&A section. So consider asking in there.
honey the codewitch 5-Jun-19 9:35am
   
thanks

1 solution

Rate this:
Please Sign up or sign in to vote.

Solution 1

I found a workaround by copying the one project it created that worked, renaming all of it, and then generating new guids for the package/product stuff

it's not ideal, but it works.
   
Comments
[no name] 7-Jun-19 5:16am
   
Thanks a lot

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)




CodeProject, 503-250 Ferrand Drive Toronto Ontario, M3C 3G8 Canada +1 416-849-8900 x 100